We are in the process of retiring some of our legacy back-end systems and want to let you know what that means to you as a user of MapQuest APIs and developer tools that utilize licensed data. Effective January 31, 2014, the servers that power legacy products -- mostly those that operate in the Equirectangular map projection -- will be retired.   This means that older APIs and SDKs, such as the deprecated server-side SDKs and 5.x JavaScript and Flash APIs, will no longer work.  To avoid an interruption in service, please ensure that your applications are using our current Web Services and Map APIs. Enterprise Edition clients have already been notified about the Enterprise Migration, so if you are a MapQuest Enterprise client and have questions or need assistance with migrating to our latest and greatest product offerings, please reach out to your Account Manager or the Enterprise Technical Support Team. Community Edition developers have been notified about the migration as well, though it is difficult to confirm that we have reached every Community Edition developer.  While a Community Edition license does not include access to an Account Manager or the Enterprise Technical Support Team, help from other MapQuest developers (and the occasional MapQuest employee) is always available in the MapQuest Developer Network Forums. If you are using any of the MapQuest Web Services that operate on licensed data, you should be making calls to the following versions:
Directions API Web Service http://www.mapquestapi.com/directions/v2/ or later
Geocode API Web Service http://www.mapquestapi.com/geocoding/v1/ or later
Search API Web Service http://www.mapquestapi.com/search/v2/ or later
Static Map API Web Service http://www.mapquestapi.com/staticmap/v4/ or later
Traffic API Web Service http://www.mapquestapi.com/traffic/v2/ or later
If you are using any of the (Licensed) MapQuest Map APIs (Map Toolkits), you should be using the following versions:
JavaScript Maps API 7.0.1 (7.0.s) or later
Flash Maps API 7.1.2c or later
Mobile Flash Maps API 7.1.2c or later
iOS Maps API 1.1 or later
Android Maps API 1.0.5 or later
If you are using the Data Manager Tool that is available through the “Manage AppKeys” section on the Developer Network, you should migrate your data to the spatially-aware Data Manager API Web Service, which offers the ability to store spatial data as a native geometry data type. Finally, if you are using the .NET, Java, or C++ SDKs, we encourage you to update your application so that you are calling the MapQuest Web Services directly, as the SDKs have been deprecated for quite some time and no future enhancements will be made to these toolkits. The legacy APIs and tools that operate in the Equirectangular map projection were developed long before Web Mercator became the standard map projection for Web mapping applications.  Retiring the systems that power our legacy products will allow us to better focus on the current and next generation of MapQuest APIs and developer tools. We’ve also put together a migration website that contains more information about how to find out what version of a product you are using if you are unsure, more information about the features differences between legacy and current products.  Feel free to visit the Developer Network forum or tweet us @MapQuestTech if you have questions. Note: users of MapQuest Open APIs and developer tools are not affected by the retirement of legacy (licensed) APIs; however, it is always a good idea to ensure that you are using the latest versions of our Open products.